MCP primitive errors.
curl --request GET \
--url https://{tenant}/api/activity/mcp/primitives/errors/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/activity/mcp/primitives/errors/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/activity/mcp/primitives/errors/{startDay}/{startMonth}/{startYear}/{EndDay}/{EndMonth}/{EndYear}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"error": 4,
"hits": 26,
"id": {
"alias": "<string>",
"api_id": "7364617cc7d345d9755d182635dfd46d",
"api_name": "OAS http",
"code": 123,
"day": 12,
"hour": 0,
"iso_country": "<string>",
"key": "<string>",
"month": 6,
"path": "<string>",
"queries": {},
"url": "<string>",
"year": 2024
},
"last_hit": "2024-06-19T06:33:30Z",
"latency": 0,
"max_latency": 0,
"max_upstream_latency": 0,
"min_latency": 0,
"min_upstream_latency": 0,
"request_time": 190.2,
"success": 22,
"upstream_latency": 0
}
],
"pages": 123
}{
"ID": "<string>",
"Message": "<string>",
"Meta": "<unknown>",
"Status": "<string>"
}{
"ID": "<string>",
"Message": "<string>",
"Meta": "<unknown>",
"Status": "<string>"
}{
"ID": "<string>",
"Message": "<string>",
"Meta": "<unknown>",
"Status": "<string>"
}Analytics
MCP primitive errors.
Error-only view of MCP primitive activity. Same filter/grouping parameters
as /api/activity/mcp/primitives/..., but the response only contains
datapoints where the MCP call resulted in an error.
GET
/
api
/
activity
/
mcp
/
primitives
/
errors
/
{startDay}
/
{startMonth}
/
{startYear}
/
{EndDay}
/
{EndMonth}
/
{EndYear}
MCP primitive errors.
Authorizations
The Tyk Dashboard API Access Credentials
Path Parameters
Start day of the date range (1-31).
Start month of the date range (1-12).
Start year of the date range.
End day of the date range (1-31).
End month of the date range (1-12).
End year of the date range.
Query Parameters
Filter results by API ID.
Filter by MCP JSON-RPC method name.
Filter by primitive type (tool, resource, or prompt).
Available options:
tool, resource, prompt Filter by primitive name.
Group results by the specified field.
Available options:
mcp_primitive Was this page helpful?
⌘I